package com.ruoyi.file.object;

import com.ruoyi.common.constant.HttpStatus;

public final class UploadException extends RuntimeException
{
    public final int code;

    public UploadException(String message)
    {
        super(message);
        this.code = HttpStatus.ERROR;
    }

    public UploadException(int code, String message)
    {
        super(message);
        this.code = code;
    }

    public UploadException(int code, String message, Throwable cause)
    {
        super(message, cause);
        this.code = code;
    }
}
